Bug 128855 - su to root maxxes out CPU for 60-90 seconds
su to root maxxes out CPU for 60-90 seconds
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 12:19 EDT by Joe Pepersack
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 11:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Pepersack 2004-07-30 12:19:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
The first time I su to root on a given day, /bin/su will consume 100%
of the CPU for 60 to 90 seconds, during which time the system is
almost completely unresponsive.  xload shows the cpu load spiking to 7
or 8 from near-zero load before and after.  Subsequent invocations of
su that day will perform normally, but the problem always returns the
next day.

Given the recurrent daily nature of this I suspected that it might be
related to a bad cron job leaving some garbage behind, but so far I've
been unable to duplicate the problem by running cron jobs during the
day and checking the system immediately after they run.  

Version-Release number of selected component (if applicable):
coreutils-5.0-34.1

How reproducible:
Sometimes

Steps to Reproduce:
1. su to root 
    

Actual Results:  CPU utilization spikes to 100% for 60-90 seconds on
first invocation per day.

Expected Results:  CPU utilization should be negligable; command
should return immediately

Additional info:
Comment 1 Tim Waugh 2004-07-30 12:22:07 EDT
Please log in as root and run:

strace /bin/su 2>log

Then attach the resulting 'log' file.
Comment 2 Tim Waugh 2005-09-08 11:41:42 EDT
No feedback.

Note You need to log in before you can comment on or make changes to this bug.